Loading...
Searching...
No Matches
gr::qtgui Namespace Reference

## Classes

class | ber_sink_b
class | const_sink_c
| A graphical sink to display the IQ constellation of multiple signals. More...
class | edit_box_msg
| Create a QT Edit Box widget where the value is posted as a message. More...
class | eye_sink_c
| A graphical sink to display signals eye patterns. More...
class | eye_sink_f
| A graphical sink to display signals eye patterns. More...
class | freq_sink_c
| A graphical sink to display multiple signals in frequency. More...
class | freq_sink_f
| A graphical sink to display multiple signals in frequency. More...
class | histogram_sink_f
| A graphical sink to display a histogram. More...
class | matrix_sink
| A graphical sink that displays a matrix. More...
class | number_sink
| A graphical sink to display numerical values of input streams. More...
class | sink_c
| A graphical sink to display freq, spec, time, and const plots. More...
class | sink_f
| A graphical sink to display freq, spec, and time. More...
class | time_raster_sink_b
| A graphical sink to display multiple signals on a time_raster plot. More...
class | time_raster_sink_f
| A graphical sink to display multiple signals on a time_raster plot. More...
class | time_sink_c
| A graphical sink to display multiple signals in time. More...
class | time_sink_f
| A graphical sink to display multiple signals in time. More...
class | vector_sink_f
| A graphical sink to display multiple vector-based signals. More...
class | waterfall_sink_c
| A graphical sink to display multiple signals on a waterfall (spectrogram) plot. More...
class | waterfall_sink_f
| A graphical sink to display multiple signals on a waterfall (spectrogram) plot. More...

## Enumerations

enum | data_type_t { INT = 0 , FLOAT , DOUBLE , COMPLEX , STRING , INT_VEC , FLOAT_VEC , DOUBLE_VEC , COMPLEX_VEC }
enum | graph_t { NUM_GRAPH_NONE = 0 , NUM_GRAPH_HORIZ , NUM_GRAPH_VERT }
enum | intensity_t { INTENSITY_COLOR_MAP_TYPE_MULTI_COLOR = 0 , INTENSITY_COLOR_MAP_TYPE_WHITE_HOT = 1 , INTENSITY_COLOR_MAP_TYPE_BLACK_HOT = 2 , INTENSITY_COLOR_MAP_TYPE_INCANDESCENT = 3 , INTENSITY_COLOR_MAP_TYPE_USER_DEFINED = 4 , INTENSITY_COLOR_MAP_TYPE_SUNSET = 5 , INTENSITY_COLOR_MAP_TYPE_COOL = 6 }
enum | trigger_mode { TRIG_MODE_FREE , TRIG_MODE_AUTO , TRIG_MODE_NORM , TRIG_MODE_TAG }
enum | trigger_slope { TRIG_SLOPE_POS , TRIG_SLOPE_NEG }

## Enumeration Type Documentation

## data_type_t

enum gr::qtgui::data_type_t

Enumerator
INT |
FLOAT |
DOUBLE |
COMPLEX |
STRING |
INT_VEC |
FLOAT_VEC |
DOUBLE_VEC |
COMPLEX_VEC |

## graph_t

enum gr::qtgui::graph_t

Enumerator
NUM_GRAPH_NONE |
NUM_GRAPH_HORIZ |
NUM_GRAPH_VERT |

## intensity_t

enum gr::qtgui::intensity_t

Enumerator
INTENSITY_COLOR_MAP_TYPE_MULTI_COLOR |
INTENSITY_COLOR_MAP_TYPE_WHITE_HOT |
INTENSITY_COLOR_MAP_TYPE_BLACK_HOT |
INTENSITY_COLOR_MAP_TYPE_INCANDESCENT |
INTENSITY_COLOR_MAP_TYPE_USER_DEFINED |
INTENSITY_COLOR_MAP_TYPE_SUNSET |
INTENSITY_COLOR_MAP_TYPE_COOL |

## trigger_mode

enum gr::qtgui::trigger_mode

Enumerator
TRIG_MODE_FREE |
TRIG_MODE_AUTO |
TRIG_MODE_NORM |
TRIG_MODE_TAG |

## trigger_slope

enum gr::qtgui::trigger_slope

Enumerator
TRIG_SLOPE_POS |
TRIG_SLOPE_NEG |